# agecem/bottin

Bottin de la masse étudiante, en Go

https://git.agecem.com/agecem/bottin

## fonctionalités

### Serveur API

- Insertion de membre et programme
- Lecture de membre
- Modification du nom d'usage de membre

### Client web

- Lecture de membre par requête au serveur API

## usage

Remplir .env avec les infos qui seront utilisées pour déployer le container

Au minimum, il faut ces 3 entrées:

*Remplacer `bottin` par quelque chose de plus sécuritaire*

```sh
BOTTIN_SERVER_DB_DATABASE=bottin
BOTTIN_SERVER_DB_PASSWORD=bottin
BOTTIN_SERVER_DB_USER=bottin
```

*D'autres entrées peuvent être ajoutées, voir `config.go` pour les options*

Déployer avec docker-compose

`$ docker-compose up -d`

### Optionnel: configuration par fichiers YAML

*seulement nécessaire si les fichiers `.env` et `docker-compose.yaml` ne contiennent pas toute l'information nécessaire*

Pour modifier la configuration du serveur API

`$ docker-compose exec -it api vi /etc/bottin/api.yaml`

*Y remplir au minimum le champs `server.api.key` (string)*

Pour modifier la configuration du client web

`$ docker-compose exec -it ui vi /etc/bottin/ui.yaml`

*Y remplir au minimum les champs `server.ui.api.key` (string), `server.ui.user` (string) et `server.ui.password` (string)*

Redémarrer les containers une fois la configuration modifiée

`$ docker-compose down && docker-compose up -d`
